# Get a payment method

`GET https://app.shuttleglobal.com/c/api/instances/{instance_key}/payment_methods/{payment_method_id}`

Retrieve a single payment method by ID or code.

## Authentication

- basicAuth: Basic Authentication using secret key
- bearerAuth: OAuth 2.0 Bearer Token Authentication

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `payment_method_id` | path | string | yes | The payment method's ID (`pm_...`), or its `code`. |
| `expand` | query | string | no | Fields to expand into full objects. Available fields: - account - created_session - gateway - updated_session |

## Responses

### 200: Payment method details

```json
{
  "payment_method": {
    "id": "string",
    "account": "string",
    "address": {
      "country": "string",
      "line1": "string",
      "line2": "string",
      "line3": "string",
      "line4": "string",
      "line5": "string",
      "line6": "string"
    },
    "advanced_notice_hours": 180,
    "archived": "2026-01-01T12:00:00Z",
    "authorisation_url": "string",
    "code": "string",
    "created": "2026-01-01T12:00:00Z",
    "created_session": "string",
    "expiry": "string",
    "failing_reason": "string",
    "failing_since": "2026-01-01T12:00:00Z",
    "gateway": "string",
    "gateway_group": "string",
    "gateway_status": "string",
    "last4": "string",
    "last_used": "2026-01-01T12:00:00Z",
    "mandate_id": "string",
    "mandate_link": "string",
    "mandate_reference": "string",
    "mandate_text": "string",
    "name": "string",
    "requires_cvc": true,
    "source": "MOTO",
    "status": "ACTIVE",
    "sub_status": "string",
    "sub_status_reason": "string",
    "tags": "string",
    "metadata": {},
    "bin": "string",
    "card_holder_name": "string",
    "eci": "string",
    "network_token": true,
    "source_type": "string",
    "token": "string",
    "type": "string",
    "updated_session": "string",
    "v": 0
  }
}
```

### 400: Bad request

```json
{
  "code": "string",
  "message": "string"
}
```

### 401: Authentication required

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Resource not found

```json
{
  "code": "string",
  "message": "string"
}
```

### 500: Internal server error

```json
{
  "error": {
    "type": "string",
    "message": "string"
  }
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/YOUR_INSTANCE_KEY/payment_methods/PAYMENT_METHOD_ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/operations/getpaymentmethod/